Pricefx REST API Reference
The Pricefx Backend API
Request
Retrieves a list of Products. A filter can be applied (see the request example).
You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the listProductsResponseExample_resultFields response example.
valueFields: returns just an array of values. Use this option if a better performance is required. See the listProductsResponseExample_valueFields response example.
The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.fetchformulafilteredproducts
- URL:https://companynode.pricefx.com/pricefx/companypartition/productmanager.fetchformulafilteredproducts
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- listProductsRequestExample_filter
- listProductsRequestExample_resultFields
- listProductsRequestExample_valueFields
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.fetchformulafilteredproducts \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "currency",
"operator": "iEquals",
"value": "USD"
}
]
}
}'- listProductsResponseExample_resultFields
- listProductsResponseExample_valueFields
- listProductsResponseExample
{ "response": { "node": "node", "startRow": 0, "data": [ … ], "endRow": 8, "totalRows": 8, "status": 0 } }
Request
Deletes a product.
Please note: Only one object can be deleted per request (unless batched). Some object types may be blocked from being deleted by the update command as special processing is done by a dedicated manager command.
Some object types are only soft-deleted, some are hard-deleted in the database. This behavior cannot be influenced by the client.
You can upsert multiple records using one request. To do so, add multiple data objects into your JSON. See the example below.
[
{
"data": {
"typedId": "2147501223.P"
}
},
{
"data": {
"typedId": "2147501224.P"
}
},
{
"data": {
"typedId": "2147501225.P"
}
}
]- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/P
- URL:https://companynode.pricefx.com/pricefx/companypartition/delete/P
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/P \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "2147501187.P"
}
}'{ "response": { "node": "string", "data": [ … ], "status": 0 } }
Request
Retrieves products from the specified product set (configured for Competition Data API).
Information: You can retrieve the product set's
label(that is required in the URL of this endpoint as a parameter) using the/fetch/PCOMPCOendpoint.
| Required Permission | Roles with the Required Permission |
|---|---|
| PRODUCTCOMPETITION_FETCH | Data Integration (DATAINTEGRATION), View Competition Data (PB_COMPETITION_RO), Manage Products (PB_PRODUCTEDITOR), Administer Products (PB_PRODUCTS), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Product Details Only (PB_PDETAILSEDITOR), Manage Products & Use EC (PB_PRODUCTEDITOR_EC), Manage Competition Data (PB_COMPETITION) |
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.fetchproductsetcompetition/{label}
- URL:https://companynode.pricefx.com/pricefx/companypartition/productmanager.fetchproductsetcompetition/{label}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.fetchproductsetcompetition/{label}' \
-H 'Content-Type: application/json' \
-d '{
"startRow": 0,
"endRow": 10
}'{ "response": { "node": "string", "csrfToken": "string", "startRow": 0, "data": [ … ], "endRow": 0, "totalRows": 0, "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments